## model
Class XMLFile.BackupDataFileFilter

    java.lang.Object
      model.XMLFile.BackupDataFileFilter

All Implemented Interfaces:
  java.io.FilenameFilter

Enclosing class:
  XMLFile

    private static class XMLFile.BackupDataFileFilter

extends java.lang.Object
implements java.io.FilenameFilter

Field Summary
`private java.lang.String` `data_file_name`

Constructor Summary
`protected` `XMLFile.BackupDataFileFilter(java.lang.String backup_data_file_name)`

Method Summary
`boolean` `accept(java.io.File folder, java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data_file_name

    private final transient java.lang.String data_file_name

Constructor Detail

### XMLFile.BackupDataFileFilter

    protected XMLFile.BackupDataFileFilter(java.lang.String backup_data_file_name)

Method Detail

### accept

    public boolean accept(java.io.File folder,
                          java.lang.String filename)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`